Debian Bug report logs - #436119
ITA: dict-gcide -- A Comprehensive English Dictionary

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 5 Aug 2007 15:12:10 UTC

Owned by: Ritesh Raj Sarraf <rrs@debian.org>

Severity: normal

Fixed in version dict-gcide/0.48-7

Done: Ritesh Raj Sarraf <rrs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bob Hilliard <hilliard@debian.org>, <wnpp@debian.org>:
Bug#436119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Bob Hilliard <hilliard@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: dict-gcide -- A Comprehensive English Dictionary
Date: Sun, 5 Aug 2007 17:07:19 +0200
Package: wnpp
Severity: normal

The current maintainer of dict-gcide, Bob Hilliard <hilliard@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: dict-gcide
Binary: dict-gcide
Version: 0.48-4.3
Priority: optional
Section: text
Maintainer: Bob Hilliard <hilliard@debian.org>
Build-Depends-Indep: flex, bison, dictzip | dictd (<< 1.7.1)
Architecture: all
Standards-Version: 3.5.9.0
Format: 1.0
Directory: pool/main/d/dict-gcide
Files:
 da9ace56ce8353778caf95ad46a177e2 605 dict-gcide_0.48-4.3.dsc
 4be2976a6253025e0cefccd26f256c43 14520256 dict-gcide_0.48.orig.tar.gz
 30a86cda8f4af032c66ea6738e146c39 52933 dict-gcide_0.48-4.3.diff.gz

Package: dict-gcide
Priority: optional
Section: text
Installed-Size: 17100
Maintainer: Bob Hilliard <hilliard@debian.org>
Architecture: all
Version: 0.48-4.3
Replaces: dict-web1913
Provides: dict-web1913
Depends: dictd | dict-server
Suggests: dict-wn
Conflicts: dict-web1913 (<= 1.4-0.47pd-3)
Filename: pool/main/d/dict-gcide/dict-gcide_0.48-4.3_all.deb
Size: 15124350
MD5sum: 67001b2d61d6002f8985881c95b3751f
SHA1: 0e0498427db0e18e79e93ddf466453bd33401814
SHA256: 2be6398bbfe14f6de6273d495479dda06b229db74b1360da99c1c864e368af81
Description: A Comprehensive English Dictionary
 .
 This package contains the GNU version of the Collaborative
 International Dictionary of English, formatted for use by the
 dictionary server in the dictd package.  The GCIDE contains the
 full text of the 1913 Webster's Unabridged Dictionary, supplemented by
 many definitions from WordNet, the Century Dictionary, 1906, and many
 additional definitions contributed by volunteers.
 .
 The definitions in the core of this dictionary are at least 85 years
 old, so they can not be expected to be politically correct by
 contemporary standards, and no attempt has been, or will be, made to
 make them so.
 .
 This package will be of limited use without the server found in the
 dictd package, or another RFC 2229 compliant sever.
Tag: made-of::data:dictionary, role::app-data

-- 
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436119; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 436119@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: control@bugs.debian.org
Cc: 436119@bugs.debian.org
Subject: closing 436119
Date: Sun, 05 Aug 2007 17:54:30 +0200
# Automatically generated email from bts, devscripts version 2.10.6
# Closing for now, asking comaintainer first
close 436119 




Bug closed, send any further explanations to Mohammed Adnène Trojette <adn+deb@diwi.org> Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. (Sun, 05 Aug 2007 15:57:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Sep 2007 07:29:06 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 18 Apr 2008 11:24:11 GMT) Full text and rfc822 format available.

Bug reopened, originator set to Christoph Berg <myon@debian.org>. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 18 Apr 2008 11:24:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436119; Package wnpp. (Sun, 06 Dec 2009 16:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 06 Dec 2009 16:33:02 GMT) Full text and rfc822 format available.

Message #23 received at 436119@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: 436119@bugs.debian.org
Cc: hilliard@debian.org
Subject: dict-gcide
Date: Sun, 6 Dec 2009 22:02:18 +0530
Hi,

I've been using dict-gcide and like it a lot. Wasn't aware until now
that it was orphaned. dict-gcide and dict-wn alone are good enough
softwares to help with dictionary requirements. dict-wn is already
being well maintained by Andreas.
While I am not very well versed with packaging dictionary softwares, I
still would like to adopt this package because:

* I use this package and would like to continue using it.
* I want to learn packaging lexical databases

I am currently OOO on vacation and have limited access to email.
Meanwhile if anyone wants, please add me as the ITA for this package.

Request to Bob Hilliard: If you could share TOI plans for this
package, it would be easier for me to adopt it.

Regards,
Ritesh
-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."




Changed Bug title to 'ITP: dict-gcide -- A Comprehensive English Dictionary' from 'O: dict-gcide -- A Comprehensive English Dictionary' Request was from Ritesh Raj Sarraf <rrs@researchut.com> to control@bugs.debian.org. (Sun, 06 Dec 2009 16:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436119; Package wnpp. (Sun, 06 Dec 2009 16:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 06 Dec 2009 16:42:08 GMT) Full text and rfc822 format available.

Message #30 received at 436119@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: Debian BTS <control@bugs.debian.org>
Cc: 436119@bugs.debian.org
Subject: Re: dict-gcide
Date: Sun, 6 Dec 2009 22:11:04 +0530
retitle #436119 ITP: dict-gcide -- A Comprehensive English Dictionary
owner #436119
thanks

Looks like Bob Hilliard is inactive. Perhaps I will have to do it myself.


On Sun, Dec 6, 2009 at 10:02 PM, Ritesh Raj Sarraf <rrs@researchut.com> wrote:
> Hi,
>
> I've been using dict-gcide and like it a lot. Wasn't aware until now
> that it was orphaned. dict-gcide and dict-wn alone are good enough
> softwares to help with dictionary requirements. dict-wn is already
> being well maintained by Andreas.
> While I am not very well versed with packaging dictionary softwares, I
> still would like to adopt this package because:
>
> * I use this package and would like to continue using it.
> * I want to learn packaging lexical databases
>
> I am currently OOO on vacation and have limited access to email.
> Meanwhile if anyone wants, please add me as the ITA for this package.
>
> Request to Bob Hilliard: If you could share TOI plans for this
> package, it would be easier for me to adopt it.
>
> Regards,
> Ritesh
> --
> Ritesh Raj Sarraf
> RESEARCHUT - http://www.researchut.com
> "Necessity is the mother of invention."
>



-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."




Owner recorded as Ritesh Raj Sarraf <rrs@researchut.com>. Request was from Ritesh Raj Sarraf <rrs@researchut.com> to control@bugs.debian.org. (Sun, 06 Dec 2009 16:51:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: dict-gcide -- A Comprehensive English Dictionary' from 'ITP: dict-gcide -- A Comprehensive English Dictionary' Request was from Ritesh Raj Sarraf <rrs@researchut.com> to control@bugs.debian.org. (Thu, 10 Dec 2009 04:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436119; Package wnpp. (Tue, 15 Dec 2009 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 15 Dec 2009 11:57:03 GMT) Full text and rfc822 format available.

Message #39 received at 436119@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: schizo@debian.org, djpig@debian.org, edmonds@debian.org
Cc: debian-devel@lists.debian.org, 436119@bugs.debian.org
Subject: ITA: dict-gcide
Date: Tue, 15 Dec 2009 17:24:48 +0530
[Message part 1 (text/plain, inline)]
Hi,

I have ITAed the package dict-gcide because I use it.
I don't have much idea about lexical databases (that being one of the reason 
adopting it), so hope to gather some help here.

The copyright file lists that the copy of GCIDE is archived. I am not very sure 
who the current upstream is and if this database is still actively maintained.

There have been many bugfixes to typos and definitions but I don't see a 
debian/patches folder. Is Debian the only distribution packaging it now ?
Currently there are 19 open bug reports against this package. If I intend to 
fix them, where do I submit the patches ?

This package was orphaned more than 2 years ago and the previous maintainer 
(Bob Hilliard) seems to be in-active.


PS: CCing the DDs who have NMUed this package in the past.



Regards,
Ritesh
-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ritesh Raj Sarraf <rrs@researchut.com>:
Bug#436119; Package wnpp. (Tue, 15 Dec 2009 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ritesh Raj Sarraf <rrs@researchut.com>. (Tue, 15 Dec 2009 18:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 436119@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Ritesh Raj Sarraf <rrs@researchut.com>
Cc: djpig@debian.org, edmonds@debian.org, debian-devel@lists.debian.org, 436119@bugs.debian.org
Subject: Re: ITA: dict-gcide
Date: Tue, 15 Dec 2009 18:13:45 +0000
On Tue, Dec 15, 2009 at 05:24:48PM +0530, Ritesh Raj Sarraf wrote:
> The copyright file lists that the copy of GCIDE is archived. I am not very sure 
> who the current upstream is and if this database is still actively maintained.

It is not.  Upstream abandoned GCIDE on the grounds that WordNet is a free
dictionary that is actively maintained, and so GCIDE was no longer necessary.
I feel that WordNet is of poor quality and largely inadequate, so I disagree.

> There have been many bugfixes to typos and definitions but I don't see a 
> debian/patches folder. Is Debian the only distribution packaging it now ?
> Currently there are 19 open bug reports against this package. If I intend to 
> fix them, where do I submit the patches ?

You don't.  You will be effectively maintaining a fork.  You might consider
changing the name.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436119; Package wnpp. (Wed, 16 Dec 2009 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@researchut.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 16 Dec 2009 06:48:03 GMT) Full text and rfc822 format available.

Message #49 received at 436119@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: Clint Adams <schizo@debian.org>
Cc: djpig@debian.org, edmonds@debian.org, debian-devel@lists.debian.org, 436119@bugs.debian.org
Subject: Re: ITA: dict-gcide
Date: Wed, 16 Dec 2009 12:15:46 +0530
[Message part 1 (text/plain, inline)]
Hello Clint,

On Tuesday 15 Dec 2009 23:43:45 Clint Adams wrote:
> On Tue, Dec 15, 2009 at 05:24:48PM +0530, Ritesh Raj Sarraf wrote:
> > The copyright file lists that the copy of GCIDE is archived. I am not
> > very sure who the current upstream is and if this database is still
> > actively maintained.
> 
> It is not.  Upstream abandoned GCIDE on the grounds that WordNet is a free
> dictionary that is actively maintained, and so GCIDE was no longer
>  necessary. I feel that WordNet is of poor quality and largely inadequate,
>  so I disagree.
> 

Me too. While Wordnet is pretty decent, GCIDE still has a more comprehensive 
database in my opinion.

> > There have been many bugfixes to typos and definitions but I don't see a
> > debian/patches folder. Is Debian the only distribution packaging it now ?
> > Currently there are 19 open bug reports against this package. If I intend
> > to fix them, where do I submit the patches ?
> 
> You don't.  You will be effectively maintaining a fork.  You might consider
> changing the name.

Sure. Looks like a good candidate to start a new project with ?
Especially since it contains more than 8 decades of data which can stand of 
value even if just archived and maintained.

Probably we just host it on alioth and let interested parties contribute to 
and use it.

Any suggestions on a different name ? Or should we just use the old one ?

Regards,
Ritesh
-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ritesh Raj Sarraf <rrs@researchut.com>:
Bug#436119; Package wnpp. (Sat, 09 Jan 2010 10:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ritesh Raj Sarraf <rrs@researchut.com>. (Sat, 09 Jan 2010 10:27:09 GMT) Full text and rfc822 format available.

Message #54 received at 436119@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: debian-devel@lists.debian.org
Cc: 436119@bugs.debian.org
Subject: Re: ITA: dict-gcide
Date: Sat, 9 Jan 2010 21:16:39 +1100
On Wed, 16 Dec 2009, Ritesh Raj Sarraf <rrs@researchut.com> wrote:
> Sure. Looks like a good candidate to start a new project with ?
> Especially since it contains more than 8 decades of data which can stand of
> value even if just archived and maintained.
>
> Probably we just host it on alioth and let interested parties contribute to
> and use it.

As long as those 8 decades of data are not tainted.  The GCIDE entries that 
originate from the 1913 Webster dictionary are very useful.  There will 
always be a demand for historic definitions.  I would rather see some older 
dictionaries split out and preserved.

It would be good if someone scanned some old dictionaries that are out of 
copyright for historical purposes.  I would also like to have old 
encyclopedias available, Wikipedia is great, but it's also good to know the 
historic definitions of terms and descriptions of the world as it was 100+ 
years ago.

-- 
russell@coker.com.au
http://etbe.coker.com.au/          My Main Blog
http://doc.coker.com.au/           My Documents Blog




Owner changed from Ritesh Raj Sarraf <rrs@researchut.com> to Ritesh Raj Sarraf <rrs@debian.org>. Request was from Ritesh Raj Sarraf <rrs@debian.org> to control@bugs.debian.org. (Sat, 08 May 2010 16:48:08 GMT) Full text and rfc822 format available.

Reply sent to Ritesh Raj Sarraf <rrs@debian.org>:
You have taken responsibility. (Mon, 04 Oct 2010 03:33:14 GMT) Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. (Mon, 04 Oct 2010 03:33:14 GMT) Full text and rfc822 format available.

Message #61 received at 436119-close@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 436119-close@bugs.debian.org
Subject: Bug#436119: fixed in dict-gcide 0.48-7
Date: Mon, 04 Oct 2010 03:32:11 +0000
Source: dict-gcide
Source-Version: 0.48-7

We believe that the bug you reported is fixed in the latest version of
dict-gcide, which is due to be installed in the Debian FTP archive:

dict-gcide_0.48-7.debian.tar.gz
  to main/d/dict-gcide/dict-gcide_0.48-7.debian.tar.gz
dict-gcide_0.48-7.dsc
  to main/d/dict-gcide/dict-gcide_0.48-7.dsc
dict-gcide_0.48-7_all.deb
  to main/d/dict-gcide/dict-gcide_0.48-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 436119@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ritesh Raj Sarraf <rrs@debian.org> (supplier of updated dict-gcide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 04 Oct 2010 00:29:32 +0530
Source: dict-gcide
Binary: dict-gcide
Architecture: source all
Version: 0.48-7
Distribution: experimental
Urgency: low
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Changed-By: Ritesh Raj Sarraf <rrs@debian.org>
Description: 
 dict-gcide - A Comprehensive English Dictionary
Closes: 296197 320603 332386 352827 370812 370829 436119 498041 516598 521367 522191
Changes: 
 dict-gcide (0.48-7) experimental; urgency=low
 .
   * Take maintenance of this package (Closes: #436119)
   * Minor typo fix upload (Closes: #522191, #521367, #516598, #498041,
     #370829, #370812, #352827, #332386, #320603, #296197)
   * Add git Vcs field
   * Update Standards Version to 3.9.1
   * Switch to 3.0 (quilt) source format
   * Add myself to packaging copyright section
   * Update FSF's address in copyright file
   * Use Breaks instead of Conflicts
   * Add debhelper to Build Depends
   * Use dh_clean in clean target
   * Add misc:Depends to Depends
   * Use Debhelper compat level 7
Checksums-Sha1: 
 66fd2e44befe50b38749b3e5e83ca458045d0977 1827 dict-gcide_0.48-7.dsc
 1ea0ff9ddc82d4387a88a478ad0d73732119db33 65280 dict-gcide_0.48-7.debian.tar.gz
 0c19f3df7b38d0c05ef53e67566b6b2d4b178ff4 15125142 dict-gcide_0.48-7_all.deb
Checksums-Sha256: 
 fc00851cf4077e354f3442ffa3b2d2444301e93fbb1c0fa1526d08e5b52d2b40 1827 dict-gcide_0.48-7.dsc
 c7c4feb79607b6a30eca297217ce973c90737cf9caf4957f8777a8cfdce7da2d 65280 dict-gcide_0.48-7.debian.tar.gz
 adc3b841e32d3e7c678a8507bee8e40ee89c1710b3cb8c3fd2282d7e58ddbb8a 15125142 dict-gcide_0.48-7_all.deb
Files: 
 eba1b1b0b0ba22936440faf7b0fe72a8 1827 text optional dict-gcide_0.48-7.dsc
 bc78af1ff7e896f12b20aa7a15afee6d 65280 text optional dict-gcide_0.48-7.debian.tar.gz
 7830514fd65700222f5f5c0be1e556f9 15125142 text optional dict-gcide_0.48-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMqUHxAAoJEKY6WKPy4XVp/0sP/2cxdcZt9JnTFSImuyVJTSmR
jdkK/tPXvyQEe51tfXLRwWwcBFptC3sPhRYYiRNhaRwYjpj/QWk8fFuBGhdnYpa0
6YpvHNbfLnjheyf2od3T2KpRLZJCdWAHj04VKZ4zYl5s1bAkK+fK2NYfYbSbtkKp
8zjX/IOHUEUVI76rKqhrjbzlteueM/GaWDschu7H5xF1zVmfSTpBXj9d1fbF/08Q
3z0tx8ltMwglmEVmAqt0eXP+D7wYjZW2IeqxioUeyeJX6eHnjtItkKmbc4XQzzRe
L3a6iU1totzkkppKO8DWa4c98AQ9cP99qo/p8u18m3ibfRZ9t2Uxau+AGn/XVpqZ
KzXvKzSo0gwbTybEpyGIOYO85ldZwP1HBYMcavyZOX5LCVhD3fpWHR71UV9A7Lbd
p8Ld5z/s2Uy8d2p6I7+u3de/YoBnaBKAKLApx6ZDL4v8DA9Izwq+dCC8q7yZu0OH
A1do3tCsnZHFkD09Fhcq1GdzFTmxLTlUNf5+z537wS7DJCHK9t1g65NxcRbmLzS0
15Lq/tE6gE9Rjd5gIjNsyvW/POV5Nmp+DhQDG6NLmPE+GBia3A/a3VCkH98Rr7Lf
SybyH8Z0GiZuO6Ef5lNGw1vXYyBri8ym3FB9blf6qzjhH22C015Rwjc73P+9wdeQ
XJ442nxGbBh8IJ60v6Wu
=0xjd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Nov 2010 07:30:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:39:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.